Slony-I 2.1.1 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.104. reshapesubscription(p_sub_receiver integer, p_sub_provider integer, p_sub_set integer)

Function Properties

Language: PLPGSQL

Return Type: integer

Run on a receiver/subscriber node when the provider for that subscription is being changed. Slonik will invoke this method before the SUBSCRIBE_SET event propogates to the receiver so listen paths can be updated.

    begin
    	update sl_subscribe set sub_provider=p_sub_provider
    		   WHERE sub_set=p_sub_set AND sub_receiver=p_sub_receiver;
    	if found then
    	   perform RebuildListenEntries();
    	   notify "_schemadoc_Restart";
    	end if;
    	return 0;
    end

Prev | Home | Next
resetsession() | Up | seqtrack(p_seqval integer, p_seqid bigint)